| Home | Libraries | People | FAQ | More

##### pct_string_view::make_pct_string_view

Return a valid percent-encoded string.

###### Synopsis

Defined in header `<boost/url/pct_string_view.hpp>`

    system::result< pct_string_view >
    make_pct_string_view(
        core::string_view s);

###### Description

If `s` is a valid percent-encoded string, the function returns the buffer as a valid view which may be used to perform decoding or measurements. Otherwise the result contains an error code. Upon success, the returned view references the original character buffer; Ownership is not transferred.

###### Complexity

Linear in `s.size()`.

###### Exception Safety

Throws nothing.

###### Parameters

Name | Description
--- | ---
`s` | The string to validate.

Convenience header `<boost/url.hpp>`